{
  "getAllPSDEACModes" : [ {
    "codeName" : "Default",
    "logicName" : "DEFAULT",
    "name" : "DEFAULT",
    "getPSDEACModeDataItems" : [ {
      "dataType" : 25,
      "name" : "value"
    }, {
      "dataType" : 25,
      "name" : "text"
    } ],
    "pagingSize" : 50,
    "defaultMode" : true,
    "enablePagingBar" : false,
    "id" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEACMODES/Default.json"
  } ],
  "getAllPSDEActions" : [ {
    "actionMode" : "CREATE",
    "actionType" : "BUILTIN",
    "codeName" : "Create",
    "dynaModelFilePath" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEACTIONS/Create.json",
    "logicName" : "Create",
    "name" : "Create",
    "orderValue" : 1,
    "getPSDEActionInput" : {
      "name" : "CreateInput",
      "getPSDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSDEActionReturn" : {
      "name" : "CreateResult",
      "type" : "VOID"
    },
    "builtinAction" : true
  }, {
    "actionMode" : "UPDATE",
    "actionType" : "BUILTIN",
    "codeName" : "Update",
    "dynaModelFilePath" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEACTIONS/Update.json",
    "logicName" : "Update",
    "name" : "Update",
    "orderValue" : 11,
    "getPSDEActionInput" : {
      "name" : "UpdateInput",
      "getPSDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSDEActionReturn" : {
      "name" : "UpdateResult",
      "type" : "VOID"
    },
    "builtinAction" : true
  }, {
    "actionMode" : "DELETE",
    "actionType" : "BUILTIN",
    "batchActionMode" : 1,
    "codeName" : "Remove",
    "dynaModelFilePath" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEACTIONS/Remove.json",
    "logicName" : "Remove",
    "name" : "Remove",
    "orderValue" : 21,
    "getPSDEActionInput" : {
      "getKeyPSDEField" : {
        "name" : "SUPPLIERID",
        "codeName" : "SupplierId"
      },
      "name" : "RemoveInput",
      "type" : "KEYFIELDS"
    },
    "getPSDEActionReturn" : {
      "name" : "RemoveResult",
      "type" : "VOID"
    },
    "batchAction" : true,
    "builtinAction" : true
  }, {
    "actionMode" : "READ",
    "actionType" : "BUILTIN",
    "codeName" : "Get",
    "dynaModelFilePath" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEACTIONS/Get.json",
    "logicName" : "Get",
    "name" : "Get",
    "orderValue" : 31,
    "getPSDEActionInput" : {
      "getKeyPSDEField" : {
        "name" : "SUPPLIERID",
        "codeName" : "SupplierId"
      },
      "name" : "GetInput",
      "type" : "KEYFIELD"
    },
    "getPSDEActionReturn" : {
      "name" : "GetResult",
      "getPSDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierDTO"
      },
      "type" : "DTO"
    },
    "builtinAction" : true
  }, {
    "actionMode" : "GETDRAFT",
    "actionType" : "BUILTIN",
    "codeName" : "GetDraft",
    "dynaModelFilePath" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEACTIONS/GetDraft.json",
    "logicName" : "GetDraft",
    "name" : "GetDraft",
    "orderValue" : 41,
    "getPSDEActionInput" : {
      "name" : "GetDraftInput",
      "getPSDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierDTO"
      },
      "type" : "DTO"
    },
    "getPSDEActionReturn" : {
      "name" : "GetDraftResult",
      "getPSDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierDTO"
      },
      "type" : "DTO"
    },
    "builtinAction" : true
  }, {
    "actionMode" : "CHECKKEY",
    "actionType" : "BUILTIN",
    "codeName" : "CheckKey",
    "dynaModelFilePath" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEACTIONS/CheckKey.json",
    "logicName" : "CheckKey",
    "name" : "CheckKey",
    "getPSDEActionInput" : {
      "name" : "CheckKeyInput",
      "getPSDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierDTO"
      },
      "type" : "DTO"
    },
    "getPSDEActionReturn" : {
      "name" : "CheckKeyResult",
      "stdDataType" : 9,
      "type" : "SIMPLE"
    },
    "builtinAction" : true
  }, {
    "actionMode" : "UNKNOWN",
    "actionType" : "BUILTIN",
    "codeName" : "Save",
    "dynaModelFilePath" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEACTIONS/Save.json",
    "logicName" : "Save",
    "name" : "Save",
    "getPSDEActionInput" : {
      "name" : "SaveInput",
      "getPSDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierDTO"
      },
      "type" : "DTO"
    },
    "getPSDEActionReturn" : {
      "name" : "SaveResult",
      "type" : "VOID"
    },
    "builtinAction" : true
  } ],
  "getAllPSDEDBConfigs" : [ {
    "dBType" : "MYSQL5",
    "name" : "MYSQL5",
    "objNameCase" : "DEFAULT",
    "standardTableName" : "`t_supplier`",
    "tableName" : "t_supplier",
    "valid" : true
  } ],
  "getAllPSDEDataQueries" : [ {
    "getAllPSDEDataQueryCodes" : [ {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEDATAQUERIES/CalUni/PSDEDQCODES/DM.json"
    }, {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEDATAQUERIES/CalUni/PSDEDQCODES/HANA.json"
    }, {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEDATAQUERIES/CalUni/PSDEDQCODES/MYSQL5.json"
    }, {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEDATAQUERIES/CalUni/PSDEDQCODES/POSTGRESQL.json"
    }, {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEDATAQUERIES/CalUni/PSDEDQCODES/SQLSERVER.json"
    } ],
    "codeName" : "CalUni",
    "logicName" : "计算唯一数",
    "name" : "CalUni",
    "getPSDEDQMain" : {
      "getJoinPSDataEntity" : {
        "modelref" : true,
        "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier.json"
      },
      "joinType" : "MAIN",
      "name" : "IBIZSUPPLIER",
      "getPSDEDQGroupCondition" : {
        "condOp" : "AND",
        "condType" : "GROUP",
        "name" : "连接条件",
        "getPSDEDQConditions" : [ {
          "condOp" : "EQ",
          "condType" : "SINGLE",
          "condValue" : "address",
          "fieldName" : "ADDRESS",
          "name" : "ADDRESS 等于(=) 数据上下文(address)",
          "getPSDEField" : {
            "name" : "ADDRESS",
            "codeName" : "Address"
          },
          "getPSVARTypeId" : "DATACONTEXT"
        }, {
          "condOp" : "EQ",
          "condType" : "SINGLE",
          "condValue" : "email",
          "fieldName" : "EMAIL",
          "name" : "EMAIL 等于(=) 数据上下文(email)",
          "getPSDEField" : {
            "name" : "EMAIL",
            "codeName" : "EMail"
          },
          "getPSVARTypeId" : "DATACONTEXT"
        }, {
          "condOp" : "EQ",
          "condType" : "SINGLE",
          "condValue" : "suppliername",
          "fieldName" : "SUPPLIERNAME",
          "name" : "SUPPLIERNAME 等于(=) 数据上下文(suppliername)",
          "getPSDEField" : {
            "name" : "SUPPLIERNAME",
            "codeName" : "SupplierName"
          },
          "getPSVARTypeId" : "DATACONTEXT"
        } ]
      }
    },
    "getPSDEDataQueryInput" : {
      "name" : "CalUniInput",
      "getPSDEFilterDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSDEDataQueryReturn" : {
      "name" : "CalUniResult",
      "getPSDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierDTO"
      },
      "type" : "DTOS"
    }
  }, {
    "getAllPSDEDataQueryCodes" : [ {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEDATAQUERIES/Default/PSDEDQCODES/DM.json"
    }, {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEDATAQUERIES/Default/PSDEDQCODES/HANA.json"
    }, {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEDATAQUERIES/Default/PSDEDQCODES/MYSQL5.json"
    }, {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEDATAQUERIES/Default/PSDEDQCODES/POSTGRESQL.json"
    }, {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEDATAQUERIES/Default/PSDEDQCODES/SQLSERVER.json"
    } ],
    "codeName" : "Default",
    "logicName" : "DEFAULT",
    "name" : "DEFAULT",
    "getPSDEDQMain" : {
      "getJoinPSDataEntity" : {
        "modelref" : true,
        "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier.json"
      },
      "joinType" : "MAIN",
      "name" : "IBIZSUPPLIER"
    },
    "getPSDEDataQueryInput" : {
      "name" : "DefaultInput",
      "getPSDEFilterDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSDEDataQueryReturn" : {
      "name" : "DefaultResult",
      "getPSDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierDTO"
      },
      "type" : "DTOS"
    },
    "defaultMode" : true
  }, {
    "getAllPSDEDataQueryCodes" : [ {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEDATAQUERIES/View/PSDEDQCODES/DM.json"
    }, {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEDATAQUERIES/View/PSDEDQCODES/HANA.json"
    }, {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEDATAQUERIES/View/PSDEDQCODES/MYSQL5.json"
    }, {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEDATAQUERIES/View/PSDEDQCODES/POSTGRESQL.json"
    }, {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEDATAQUERIES/View/PSDEDQCODES/SQLSERVER.json"
    } ],
    "codeName" : "View",
    "logicName" : "默认（全部数据）",
    "name" : "VIEW",
    "getPSDEDQMain" : {
      "getJoinPSDataEntity" : {
        "modelref" : true,
        "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier.json"
      },
      "joinType" : "MAIN",
      "name" : "IBIZSUPPLIER"
    },
    "getPSDEDataQueryInput" : {
      "name" : "ViewInput",
      "getPSDEFilterDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSDEDataQueryReturn" : {
      "name" : "ViewResult",
      "getPSDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierDTO"
      },
      "type" : "DTOS"
    },
    "viewLevel" : 0
  } ],
  "getAllPSDEDataSets" : [ {
    "codeName" : "Default",
    "logicName" : "DEFAULT",
    "name" : "DEFAULT",
    "getPSDEDataQueries" : [ {
      "modelref" : true,
      "id" : "Default"
    } ],
    "getPSDEDataSetInput" : {
      "name" : "DefaultInput",
      "getPSDEFilterDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSDEDataSetReturn" : {
      "name" : "DefaultResult",
      "getPSDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZSupplierDTO"
      },
      "type" : "PAGE"
    },
    "defaultMode" : true,
    "enableBackend" : true,
    "enableFront" : true
  } ],
  "getAllPSDEFields" : [ {
    "getAllPSDEFDTColumns" : [ {
      "columnName" : "DELETEFLAG",
      "dBType" : "MYSQL5",
      "name" : "DELETEFLAG",
      "queryCodeExp" : "t1.`DELETEFLAG`",
      "standardColumnName" : "`DELETEFLAG`"
    } ],
    "getAllPSDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[DELETEFLAG][是否删除标记]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.DELETEFLAG"
        },
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "name" : "[DELETEFLAG][是否删除标记]",
        "stringLength" : 100,
        "uIMode" : "DEFAULT"
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[DELETEFLAG][是否删除标记]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.DELETEFLAG"
        },
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "name" : "[DELETEFLAG][是否删除标记]移动端默认",
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "getAllPSDEFValueRules" : [ {
      "codeName" : "Default",
      "name" : "默认规则",
      "getPSDEFVRGroupCondition" : {
        "condOp" : "AND",
        "condType" : "GROUP",
        "name" : "默认组",
        "getPSDEFVRConditions" : [ {
          "condType" : "STRINGLENGTH",
          "dEFName" : "DELETEFLAG",
          "maxValue" : 100,
          "name" : "默认字符串长度",
          "ruleInfo" : "内容长度必须小于等于[100]",
          "includeMaxValue" : true,
          "includeMinValue" : false,
          "keyCond" : true
        } ],
        "ruleInfo" : "内容长度必须小于等于[100]"
      },
      "ruleInfo" : "内容长度必须小于等于[100]",
      "checkDefault" : true,
      "defaultMode" : true,
      "enableBackend" : true,
      "enableFront" : true
    } ],
    "codeName" : "DeleteFlag",
    "dEFType" : 1,
    "dataType" : "TEXT",
    "importOrder" : 1000,
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.DELETEFLAG"
    },
    "length" : 100,
    "logicName" : "是否删除标记",
    "name" : "DELETEFLAG",
    "predefinedType" : "LOGICVALID",
    "stdDataType" : 25,
    "stringLength" : 100,
    "valueFormat" : "%1$s",
    "systemReserver" : true
  }, {
    "getAllPSDEFDTColumns" : [ {
      "columnName" : "CREATEBY",
      "dBType" : "MYSQL5",
      "name" : "CREATEBY",
      "queryCodeExp" : "t1.`CREATEBY`",
      "standardColumnName" : "`CREATEBY`"
    } ],
    "getAllPSDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[CREATEBY][创建人]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.CREATEBY"
        },
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "name" : "[CREATEBY][创建人]移动端默认",
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[CREATEBY][创建人]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.CREATEBY"
        },
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "name" : "[CREATEBY][创建人]",
        "stringLength" : 100,
        "uIMode" : "DEFAULT"
      },
      "type" : "DEFAULT"
    } ],
    "getAllPSDEFValueRules" : [ {
      "codeName" : "Default",
      "name" : "默认规则",
      "getPSDEFVRGroupCondition" : {
        "condOp" : "AND",
        "condType" : "GROUP",
        "name" : "默认组",
        "getPSDEFVRConditions" : [ {
          "condType" : "STRINGLENGTH",
          "dEFName" : "CREATEBY",
          "maxValue" : 100,
          "name" : "默认字符串长度",
          "ruleInfo" : "内容长度必须小于等于[100]",
          "includeMaxValue" : true,
          "includeMinValue" : false,
          "keyCond" : true
        } ],
        "ruleInfo" : "内容长度必须小于等于[100]"
      },
      "ruleInfo" : "内容长度必须小于等于[100]",
      "checkDefault" : true,
      "defaultMode" : true,
      "enableBackend" : true,
      "enableFront" : true
    } ],
    "codeName" : "CreateBy",
    "dEFType" : 1,
    "dataType" : "TEXT",
    "importOrder" : 1000,
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.CREATEBY"
    },
    "length" : 100,
    "logicName" : "创建人",
    "name" : "CREATEBY",
    "predefinedType" : "CREATEMAN",
    "stdDataType" : 25,
    "stringLength" : 100,
    "valueFormat" : "%1$s",
    "systemReserver" : true
  }, {
    "getAllPSDEFDTColumns" : [ {
      "columnName" : "UPDATEBY",
      "dBType" : "MYSQL5",
      "name" : "UPDATEBY",
      "queryCodeExp" : "t1.`UPDATEBY`",
      "standardColumnName" : "`UPDATEBY`"
    } ],
    "getAllPSDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[UPDATEBY][更新人]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UPDATEBY"
        },
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "name" : "[UPDATEBY][更新人]移动端默认",
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[UPDATEBY][更新人]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UPDATEBY"
        },
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "name" : "[UPDATEBY][更新人]",
        "stringLength" : 100,
        "uIMode" : "DEFAULT"
      },
      "type" : "DEFAULT"
    } ],
    "getAllPSDEFValueRules" : [ {
      "codeName" : "Default",
      "name" : "默认规则",
      "getPSDEFVRGroupCondition" : {
        "condOp" : "AND",
        "condType" : "GROUP",
        "name" : "默认组",
        "getPSDEFVRConditions" : [ {
          "condType" : "STRINGLENGTH",
          "dEFName" : "UPDATEBY",
          "maxValue" : 100,
          "name" : "默认字符串长度",
          "ruleInfo" : "内容长度必须小于等于[100]",
          "includeMaxValue" : true,
          "includeMinValue" : false,
          "keyCond" : true
        } ],
        "ruleInfo" : "内容长度必须小于等于[100]"
      },
      "ruleInfo" : "内容长度必须小于等于[100]",
      "checkDefault" : true,
      "defaultMode" : true,
      "enableBackend" : true,
      "enableFront" : true
    } ],
    "codeName" : "UpdateBy",
    "dEFType" : 1,
    "dataType" : "TEXT",
    "importOrder" : 1000,
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.UPDATEBY"
    },
    "length" : 100,
    "logicName" : "更新人",
    "name" : "UPDATEBY",
    "predefinedType" : "UPDATEMAN",
    "stdDataType" : 25,
    "stringLength" : 100,
    "valueFormat" : "%1$s",
    "systemReserver" : true
  }, {
    "getAllPSDEFDTColumns" : [ {
      "columnName" : "UPDATETIME",
      "dBType" : "MYSQL5",
      "name" : "UPDATETIME",
      "queryCodeExp" : "t1.`UPDATETIME`",
      "standardColumnName" : "`UPDATETIME`"
    } ],
    "getAllPSDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[UPDATETIME][更新时间]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UPDATETIME"
        },
        "codeName" : "MobileDefault",
        "editorType" : "MOBDATE",
        "name" : "[UPDATETIME][更新时间]移动端默认",
        "uIMode" : "MOBILEDEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[UPDATETIME][更新时间]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UPDATETIME"
        },
        "codeName" : "Default",
        "editorType" : "DATEPICKER",
        "name" : "[UPDATETIME][更新时间]",
        "uIMode" : "DEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS"
      },
      "type" : "DEFAULT"
    } ],
    "getAllPSDEFValueRules" : [ {
      "codeName" : "Default",
      "name" : "默认规则",
      "getPSDEFVRGroupCondition" : {
        "condOp" : "AND",
        "condType" : "GROUP",
        "name" : "默认组"
      },
      "ruleInfo" : "默认规则",
      "checkDefault" : true,
      "defaultMode" : true,
      "enableBackend" : true,
      "enableFront" : true
    } ],
    "codeName" : "UpdateTime",
    "dEFType" : 1,
    "dataType" : "DATETIME",
    "importOrder" : 1000,
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.UPDATETIME"
    },
    "logicName" : "更新时间",
    "name" : "UPDATETIME",
    "predefinedType" : "UPDATEDATE",
    "stdDataType" : 5,
    "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
    "systemReserver" : true
  }, {
    "getAllPSDEFDTColumns" : [ {
      "columnName" : "EMAIL",
      "dBType" : "MYSQL5",
      "name" : "EMAIL",
      "queryCodeExp" : "t1.`EMAIL`",
      "standardColumnName" : "`EMAIL`"
    } ],
    "getAllPSDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[EMAIL][邮箱]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.EMAIL"
        },
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "name" : "[EMAIL][邮箱]",
        "stringLength" : 100,
        "uIMode" : "DEFAULT"
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[EMAIL][邮箱]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.EMAIL"
        },
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "name" : "[EMAIL][邮箱]移动端默认",
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "getAllPSDEFValueRules" : [ {
      "codeName" : "Default",
      "name" : "默认规则",
      "getPSDEFVRGroupCondition" : {
        "condOp" : "AND",
        "condType" : "GROUP",
        "name" : "默认组",
        "getPSDEFVRConditions" : [ {
          "condType" : "STRINGLENGTH",
          "dEFName" : "EMAIL",
          "maxValue" : 100,
          "name" : "默认字符串长度",
          "ruleInfo" : "内容长度必须小于等于[100]",
          "includeMaxValue" : true,
          "includeMinValue" : false,
          "keyCond" : true
        }, {
          "condType" : "REGEX",
          "dEFName" : "EMAIL",
          "name" : "email地址",
          "regExCode" : "[\\w-]+(\\.[\\w-]+)*@[\\w-]+(\\.[\\w-]+)+",
          "ruleInfo" : "内容必须为电子邮件格式",
          "keyCond" : true
        } ],
        "ruleInfo" : "(内容长度必须小于等于[100] 并且 内容必须为电子邮件格式)"
      },
      "ruleInfo" : "(内容长度必须小于等于[100] 并且 内容必须为电子邮件格式)",
      "checkDefault" : true,
      "defaultMode" : true,
      "enableBackend" : true,
      "enableFront" : true
    } ],
    "codeName" : "EMail",
    "dEFType" : 1,
    "dataType" : "TEXT",
    "importOrder" : 1000,
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.EMAIL"
    },
    "length" : 100,
    "logicName" : "邮箱",
    "name" : "EMAIL",
    "stdDataType" : 25,
    "stringLength" : 100,
    "valueFormat" : "%1$s"
  }, {
    "getAllPSDEFDTColumns" : [ {
      "columnName" : "SUPPLIERNAME",
      "dBType" : "MYSQL5",
      "name" : "SUPPLIERNAME",
      "queryCodeExp" : "t1.`SUPPLIERNAME`",
      "standardColumnName" : "`SUPPLIERNAME`"
    } ],
    "getAllPSDEFSearchModes" : [ {
      "codeName" : "N_SUPPLIERNAME_LIKE",
      "name" : "N_SUPPLIERNAME_LIKE",
      "stdDataType" : 25,
      "valueOP" : "LIKE"
    } ],
    "getAllPSDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[SUPPLIERNAME][供应商名称]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.SUPPLIERNAME"
        },
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "name" : "[SUPPLIERNAME][供应商名称]",
        "stringLength" : 200,
        "uIMode" : "DEFAULT"
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[SUPPLIERNAME][供应商名称]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.SUPPLIERNAME"
        },
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "name" : "[SUPPLIERNAME][供应商名称]移动端默认",
        "stringLength" : 200,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "getAllPSDEFValueRules" : [ {
      "codeName" : "CalUni",
      "name" : "CalUni",
      "getPSDEFVRGroupCondition" : {
        "condOp" : "AND",
        "condType" : "GROUP",
        "name" : "默认组",
        "getPSDEFVRConditions" : [ {
          "condType" : "QUERYCOUNT",
          "dEFName" : "SUPPLIERNAME",
          "maxValue" : 0,
          "minValue" : 0,
          "name" : "[查询计数]查询[CalUni]记录数 大于等于 0 且  小于等于 0",
          "getPSDEDataQuery" : {
            "modelref" : true,
            "id" : "CalUni"
          },
          "ruleInfo" : "已存在相同名称、邮件、地址的供货商信息！",
          "alwaysCheck" : false,
          "includeMaxValue" : true,
          "includeMinValue" : true
        } ],
        "ruleInfo" : "已存在相同名称、邮件、地址的供货商信息！"
      },
      "ruleInfo" : "已存在相同名称、邮件、地址的供货商信息！",
      "checkDefault" : true,
      "defaultMode" : true,
      "enableBackend" : true,
      "enableFront" : true
    }, {
      "codeName" : "Default",
      "name" : "默认规则",
      "getPSDEFVRGroupCondition" : {
        "condOp" : "AND",
        "condType" : "GROUP",
        "name" : "默认组",
        "getPSDEFVRConditions" : [ {
          "condType" : "STRINGLENGTH",
          "dEFName" : "SUPPLIERNAME",
          "maxValue" : 200,
          "name" : "默认字符串长度",
          "ruleInfo" : "内容长度必须小于等于[200]",
          "includeMaxValue" : true,
          "includeMinValue" : false,
          "keyCond" : true
        } ],
        "ruleInfo" : "内容长度必须小于等于[200]"
      },
      "ruleInfo" : "内容长度必须小于等于[200]",
      "checkDefault" : true,
      "defaultMode" : true,
      "enableBackend" : true,
      "enableFront" : true
    } ],
    "codeName" : "SupplierName",
    "dEFType" : 1,
    "dataType" : "TEXT",
    "importOrder" : 1000,
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.SUPPLIERNAME"
    },
    "length" : 200,
    "logicName" : "供应商名称",
    "name" : "SUPPLIERNAME",
    "stdDataType" : 25,
    "stringLength" : 200,
    "valueFormat" : "%1$s",
    "enableQuickSearch" : true,
    "majorDEField" : true
  }, {
    "getAllPSDEFDTColumns" : [ {
      "columnName" : "CREATETIME",
      "dBType" : "MYSQL5",
      "name" : "CREATETIME",
      "queryCodeExp" : "t1.`CREATETIME`",
      "standardColumnName" : "`CREATETIME`"
    } ],
    "getAllPSDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[CREATETIME][创建时间]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.CREATETIME"
        },
        "codeName" : "MobileDefault",
        "editorType" : "MOBDATE",
        "name" : "[CREATETIME][创建时间]移动端默认",
        "uIMode" : "MOBILEDEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[CREATETIME][创建时间]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.CREATETIME"
        },
        "codeName" : "Default",
        "editorType" : "DATEPICKER",
        "name" : "[CREATETIME][创建时间]",
        "uIMode" : "DEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS"
      },
      "type" : "DEFAULT"
    } ],
    "getAllPSDEFValueRules" : [ {
      "codeName" : "Default",
      "name" : "默认规则",
      "getPSDEFVRGroupCondition" : {
        "condOp" : "AND",
        "condType" : "GROUP",
        "name" : "默认组"
      },
      "ruleInfo" : "默认规则",
      "checkDefault" : true,
      "defaultMode" : true,
      "enableBackend" : true,
      "enableFront" : true
    } ],
    "codeName" : "CreateTime",
    "dEFType" : 1,
    "dataType" : "DATETIME",
    "importOrder" : 1000,
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.CREATETIME"
    },
    "logicName" : "创建时间",
    "name" : "CREATETIME",
    "predefinedType" : "CREATEDATE",
    "stdDataType" : 5,
    "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
    "systemReserver" : true
  }, {
    "getAllPSDEFDTColumns" : [ {
      "columnName" : "ADDRESS",
      "dBType" : "MYSQL5",
      "name" : "ADDRESS",
      "queryCodeExp" : "t1.`ADDRESS`",
      "standardColumnName" : "`ADDRESS`"
    } ],
    "getAllPSDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[ADDRESS][地址]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.IBIZSUPPLIER.ADDRESS"
        },
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "name" : "[ADDRESS][地址]移动端默认",
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[ADDRESS][地址]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.IBIZSUPPLIER.ADDRESS"
        },
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "name" : "[ADDRESS][地址]",
        "stringLength" : 100,
        "uIMode" : "DEFAULT"
      },
      "type" : "DEFAULT"
    } ],
    "getAllPSDEFValueRules" : [ {
      "codeName" : "Default",
      "name" : "默认规则",
      "getPSDEFVRGroupCondition" : {
        "condOp" : "AND",
        "condType" : "GROUP",
        "name" : "默认组",
        "getPSDEFVRConditions" : [ {
          "condType" : "STRINGLENGTH",
          "dEFName" : "ADDRESS",
          "maxValue" : 100,
          "name" : "默认字符串长度",
          "ruleInfo" : "内容长度必须小于等于[100]",
          "includeMaxValue" : true,
          "includeMinValue" : false,
          "keyCond" : true
        }, {
          "condType" : "REGEX",
          "dEFName" : "ADDRESS",
          "name" : "email地址",
          "regExCode" : "[\\w-]+(\\.[\\w-]+)*@[\\w-]+(\\.[\\w-]+)+",
          "ruleInfo" : "内容必须为电子邮件格式",
          "keyCond" : true
        } ],
        "ruleInfo" : "(内容长度必须小于等于[100] 并且 内容必须为电子邮件格式)"
      },
      "ruleInfo" : "(内容长度必须小于等于[100] 并且 内容必须为电子邮件格式)",
      "checkDefault" : true,
      "defaultMode" : true,
      "enableBackend" : true,
      "enableFront" : true
    } ],
    "codeName" : "Address",
    "dEFType" : 1,
    "dataType" : "TEXT",
    "importOrder" : 1000,
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.IBIZSUPPLIER.ADDRESS"
    },
    "length" : 100,
    "logicName" : "地址",
    "name" : "ADDRESS",
    "stdDataType" : 25,
    "stringLength" : 100,
    "valueFormat" : "%1$s"
  }, {
    "getAllPSDEFDTColumns" : [ {
      "columnName" : "SUPPLIERID",
      "dBType" : "MYSQL5",
      "name" : "SUPPLIERID",
      "queryCodeExp" : "t1.`SUPPLIERID`",
      "standardColumnName" : "`SUPPLIERID`"
    } ],
    "getAllPSDEFSearchModes" : [ {
      "codeName" : "N_SUPPLIERID_EQ",
      "name" : "N_SUPPLIERID_EQ",
      "stdDataType" : 25,
      "valueOP" : "EQ"
    } ],
    "getAllPSDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[SUPPLIERID][供应商标识]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.SUPPLIERID"
        },
        "codeName" : "Default",
        "editorType" : "SPAN",
        "name" : "[SUPPLIERID][供应商标识]",
        "stringLength" : 60,
        "uIMode" : "DEFAULT"
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[SUPPLIERID][供应商标识]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.SUPPLIERID"
        },
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "name" : "[SUPPLIERID][供应商标识]移动端默认",
        "stringLength" : 60,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "getAllPSDEFValueRules" : [ {
      "codeName" : "Default",
      "name" : "默认规则",
      "getPSDEFVRGroupCondition" : {
        "condOp" : "AND",
        "condType" : "GROUP",
        "name" : "默认组",
        "getPSDEFVRConditions" : [ {
          "condType" : "STRINGLENGTH",
          "dEFName" : "SUPPLIERID",
          "maxValue" : 60,
          "name" : "默认字符串长度",
          "ruleInfo" : "内容长度必须小于等于[60]",
          "includeMaxValue" : true,
          "includeMinValue" : false,
          "keyCond" : true
        } ],
        "ruleInfo" : "内容长度必须小于等于[60]"
      },
      "ruleInfo" : "内容长度必须小于等于[60]",
      "checkDefault" : true,
      "defaultMode" : true,
      "enableBackend" : true,
      "enableFront" : true
    } ],
    "codeName" : "SupplierId",
    "dEFType" : 1,
    "dataType" : "GUID",
    "importOrder" : 1000,
    "getLNPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.SUPPLIERID"
    },
    "length" : 60,
    "logicName" : "供应商标识",
    "name" : "SUPPLIERID",
    "stdDataType" : 25,
    "stringLength" : 60,
    "valueFormat" : "%1$s",
    "keyDEField" : true,
    "pasteReset" : true
  } ],
  "getAllPSDEMethodDTOs" : [ {
    "name" : "IBIZSupplierDTO",
    "getPSDEMethodDTOFields" : [ {
      "logicName" : "地址",
      "name" : "Address",
      "getPSDEField" : {
        "name" : "ADDRESS",
        "codeName" : "Address"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "stringLength" : 100,
      "type" : "SIMPLE"
    }, {
      "logicName" : "创建人",
      "name" : "CreateBy",
      "getPSDEField" : {
        "name" : "CREATEBY",
        "codeName" : "CreateBy"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "stringLength" : 100,
      "type" : "SIMPLE",
      "readOnly" : true
    }, {
      "logicName" : "创建时间",
      "name" : "CreateTime",
      "getPSDEField" : {
        "name" : "CREATETIME",
        "codeName" : "CreateTime"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 5,
      "type" : "SIMPLE",
      "readOnly" : true
    }, {
      "logicName" : "邮箱",
      "name" : "EMail",
      "getPSDEField" : {
        "name" : "EMAIL",
        "codeName" : "EMail"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "stringLength" : 100,
      "type" : "SIMPLE"
    }, {
      "logicName" : "供应商标识",
      "name" : "SupplierId",
      "getPSDEField" : {
        "name" : "SUPPLIERID",
        "codeName" : "SupplierId"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "stringLength" : 60,
      "type" : "SIMPLE"
    }, {
      "logicName" : "供应商名称",
      "name" : "SupplierName",
      "getPSDEField" : {
        "name" : "SUPPLIERNAME",
        "codeName" : "SupplierName"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "stringLength" : 200,
      "type" : "SIMPLE"
    }, {
      "logicName" : "更新人",
      "name" : "UpdateBy",
      "getPSDEField" : {
        "name" : "UPDATEBY",
        "codeName" : "UpdateBy"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "stringLength" : 100,
      "type" : "SIMPLE",
      "readOnly" : true
    }, {
      "logicName" : "更新时间",
      "name" : "UpdateTime",
      "getPSDEField" : {
        "name" : "UPDATETIME",
        "codeName" : "UpdateTime"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 5,
      "type" : "SIMPLE",
      "readOnly" : true
    } ],
    "sourceType" : "DE",
    "type" : "DEFAULT",
    "defaultMode" : true
  }, {
    "name" : "IBIZSupplierFilterDTO",
    "getPSDEFilterDTOFields" : [ {
      "logicName" : "供应商标识",
      "name" : "N_SUPPLIERID_EQ",
      "getPSDEFSearchMode" : {
        "modelref" : true,
        "id" : "N_SUPPLIERID_EQ"
      },
      "getPSDEField" : {
        "name" : "SUPPLIERID",
        "codeName" : "SupplierId"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "stringLength" : 60,
      "type" : "SIMPLE"
    }, {
      "logicName" : "供应商名称",
      "name" : "N_SUPPLIERNAME_LIKE",
      "getPSDEFSearchMode" : {
        "modelref" : true,
        "id" : "N_SUPPLIERNAME_LIKE"
      },
      "getPSDEField" : {
        "name" : "SUPPLIERNAME",
        "codeName" : "SupplierName"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "stringLength" : 200,
      "type" : "SIMPLE"
    } ],
    "sourceType" : "DE",
    "type" : "DEFILTER",
    "defaultMode" : true
  } ],
  "getAllPSDEOPPrivs" : [ {
    "logicName" : "建立",
    "name" : "CREATE"
  }, {
    "logicName" : "删除",
    "name" : "DELETE"
  }, {
    "logicName" : "读取",
    "name" : "READ"
  }, {
    "logicName" : "更新",
    "name" : "UPDATE"
  } ],
  "getAllPSModelDatas" : [ {
    "codeName" : "RedirectView",
    "logicName" : "供货商实体数据重定向视图",
    "modelTag" : "REDIRECTVIEW",
    "name" : "供货商实体数据重定向视图",
    "realModelSubType" : "DEREDIRECTVIEW",
    "realModelType" : "PSDEVIEWBASE"
  }, {
    "codeName" : "PickupView",
    "logicName" : "供货商实体数据选择视图",
    "modelTag" : "PICKUPVIEW",
    "name" : "供货商实体数据选择视图",
    "realModelSubType" : "DEPICKUPVIEW",
    "realModelType" : "PSDEVIEWBASE"
  }, {
    "codeName" : "PickupGridView",
    "logicName" : "供货商实体选择表格视图",
    "name" : "供货商实体选择表格视图",
    "realModelSubType" : "DEPICKUPGRIDVIEW",
    "realModelType" : "PSDEVIEWBASE"
  }, {
    "codeName" : "GridView",
    "logicName" : "供货商实体表格视图",
    "modelTag" : "MDATAVIEW",
    "name" : "供货商实体表格视图",
    "realModelSubType" : "DEGRIDVIEW",
    "realModelType" : "PSDEVIEWBASE"
  }, {
    "codeName" : "EditView2",
    "logicName" : "供货商实体编辑视图（左右关系）",
    "name" : "供货商实体编辑视图（左右关系）",
    "realModelSubType" : "DEEDITVIEW2",
    "realModelType" : "PSDEVIEWBASE"
  }, {
    "codeName" : "EditView",
    "logicName" : "供货商实体编辑视图",
    "name" : "供货商实体编辑视图",
    "realModelSubType" : "DEEDITVIEW",
    "realModelType" : "PSDEVIEWBASE"
  }, {
    "codeName" : "MPickupView",
    "logicName" : "供货商实体数据多项选择视图",
    "modelTag" : "MPICKUPVIEW",
    "name" : "供货商实体数据多项选择视图",
    "realModelSubType" : "DEMPICKUPVIEW",
    "realModelType" : "PSDEVIEWBASE"
  }, {
    "codeName" : "F1EditView9",
    "logicName" : "供货商实体编辑视图（正则表达式）",
    "name" : "供货商实体编辑视图（正则表达式）",
    "realModelSubType" : "DEEDITVIEW9",
    "realModelType" : "PSDEVIEWBASE"
  }, {
    "codeName" : "LOGIC_0002",
    "logicName" : "正则表达式",
    "modelTag2" : "0",
    "name" : "正则表达式",
    "realModelSubType" : "EDITFORM",
    "realModelType" : "PSDEFORM"
  }, {
    "codeName" : "Main",
    "logicName" : "主编辑表单",
    "modelTag2" : "0",
    "name" : "主编辑表单",
    "realModelSubType" : "EDITFORM",
    "realModelType" : "PSDEFORM"
  } ],
  "codeName" : "IBIZSupplier",
  "dEType" : 1,
  "dSLink" : "DEFAULT",
  "dataAccCtrlArch" : 1,
  "dataAccCtrlMode" : 1,
  "dataChangeLogMode" : 0,
  "dataImpExpMode" : 3,
  "getDefaultPSDEDataSet" : {
    "modelref" : true,
    "id" : "Default"
  },
  "dynaInstMode" : 0,
  "dynaModelFilePath" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier.json",
  "enableActions" : 7,
  "enableUIActions" : 15,
  "enableViewLevel" : 0,
  "extendMode" : 0,
  "invalidLogicValue" : "N",
  "getKeyPSDEField" : {
    "name" : "SUPPLIERID",
    "codeName" : "SupplierId"
  },
  "getLNPSLanguageRes" : {
    "lanResTag" : "DE.LNAME.IBIZSUPPLIER"
  },
  "logicName" : "供货商",
  "getLogicValidPSDEField" : {
    "name" : "DELETEFLAG",
    "codeName" : "DeleteFlag"
  },
  "getMajorPSDEField" : {
    "name" : "SUPPLIERNAME",
    "codeName" : "SupplierName"
  },
  "name" : "IBIZSUPPLIER",
  "getPSSystemModule" : {
    "modelref" : true,
    "path" : "PSMODULES/Sample.json"
  },
  "saaSMode" : 0,
  "serviceAPIMode" : 1,
  "serviceCodeName" : "IBIZSupplier",
  "storageMode" : 1,
  "systemTag" : "DemoSys",
  "tableName" : "t_supplier",
  "validLogicValue" : "Y",
  "enableAPIStorage" : false,
  "enableCreate" : true,
  "enableDataVer" : false,
  "enableEntityCache" : false,
  "enableModify" : true,
  "enableMultiDS" : false,
  "enableMultiForm" : false,
  "enableMultiStorage" : false,
  "enableNoSQLStorage" : false,
  "enableRemove" : true,
  "enableSQLStorage" : true,
  "logicValid" : true,
  "subSysAsCloud" : false
}